Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventVisibility Class Reference

A GdkEventVisibility C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventVisibility:

List of all members.

## Public Member Functions

Accessors

- GdkEventVisibility * gdk_event_visibility () const
    Get a pointer to the GdkEventVisibility structure.
- VisibilityState state () const
    Returns the new visibility state (VISIBILITY_FULLY_OBSCURED, VISIBILITY_PARTIAL or VISIBILITY_UNOBSCURED).

## Detailed Description

A GdkEventVisibility C++ wrapper class.

An EventVisibility is generated when the window visibility status has changed.

The event type is VISIBILITY_NOTIFY.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer